<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{rotationplans.edit}">Weiterbildungsplan bearbeiten</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>
	<main>
	<h1>
		<th:block data-th-text="#{rotationplans.editfor(${rotationPlan.registrar.fullName})}">WB-Plan für Registrar bearbeiten</th:block>
		<span class="symbol-bar"> <a data-th-replace="fragments/snippets::edit('/persons/registrars', ${rotationPlan.registrar.id})"> </a> <a data-th-replace="fragments/snippets::conversation('/persons/registrars', ${rotationPlan.registrar.id})"></a>
		</span>
	</h1>

	<table class="datatable">
		<caption data-th-text="${rotationPlan.trainingScheme.name}">Übersicht Weiterbildungsplan</caption>
		<thead>
			<tr>
				<th data-th-text="#{trainingschemesegments.medicalfield}">Medizinisches Fachgebiet</th>
				<th data-th-each="treatmentType: ${treatmentTypes}" data-th-text="#{${treatmentType}}" />
				<th data-th-text="#{trainingschemesegments.maximalduration}">Höchstdauer</th>
				<th data-th-text="#{trainingschemesegments.finishedsegments}">Bereits abgeleistet</th>
				<th data-th-text="#{trainingschemesegments.plannedsegments}">Noch geplant</th>
				<th data-th-text="#{trainingschemesegments.overallsegments}">Gesamt</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="segment: ${rotationPlan.trainingScheme.trainingSchemeSegments}" data-th-class="${completionStatus[segment.medicalField.id]}">
				<td data-th-text="${segment.medicalField.name}"></td>
				<th:block data-th-each="treatmentType: ${treatmentTypes}">
					<td data-th-if="${#lists.contains(segment.permittedTreatmentTypes, treatmentType)}">erlaubt</td>
					<td data-th-unless="${#lists.contains(segment.permittedTreatmentTypes, treatmentType)}">nicht erlaubt</td>
				</th:block>
				<td data-th-text="${segment.duration}"></td>
				<td data-th-text="${finishedSegmentsDuration[segment.medicalField.id]}"></td>
				<td data-th-text="${plannedSegmentsDuration[segment.medicalField.id]}"></td>
				<td data-th-text="${overallDuration[segment.medicalField.id]}"></td>
			</tr>
			<tr>
				<td colspan="6">Nicht zugewiesene Abschnitte</td>
				<td data-th-text="${unassignedSegmentsSum}"></td>
			</tr>
			<tr>
				<td colspan="3">Summe</td>
				<td data-th-text="${rotationPlan.trainingScheme.duration}"></td>
				<td data-th-text="${finishedSegmentsDurationSum}"></td>
				<td data-th-text="${plannedSegmentsDurationSum}"></td>
				<td data-th-text="${plannedSegmentsDurationSum + finishedSegmentsDurationSum + unassignedSegmentsSum}"></td>
		</tbody>
	</table>

	<table class="datatable">
		<caption>Bisherige Weiterbildungsstationen</caption>
		<thead>
			<tr>
				<th></th>
				<th data-th-text="#{rotationplansegments.trainingposition}">Weiterbildungsstelle</th>
				<th data-th-text="#{rotationplansegments.medicalfield}">Medizinisches Fachgebiet</th>
				<th data-th-text="#{rotationplansegments.segmentbegin}">Beginn</th>
				<th data-th-text="#{rotationplansegments.segmentend}">Ende</th>
				<th data-th-text="#{rotationplansegments.duration}">Dauer (Monate)</th>
				<th data-th-text="#{rotationplansegments.fulltimeequivalent}">VZÄ</th>
				<th data-th-text="#{rotationplansegments.durationnormalised}">Dauer (normiert)</th>
				<th data-th-text="#{rotationplansegments.assignedsegment}">Zugewiesener Abschnitt</th>
				<th data-th-text="#{rotationplansegments.fundable}">Förderfähig</th>
				<th data-th-text="#{rotationplansegments.approved}">Anerkannt</th>
				<th data-th-text="#{rotationplansegments.funded}">Gefördert</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="segment: ${finishedSegments}">
				<td><p data-th-replace="fragments/snippets::edit('/training/rotationplans/__${rotationPlan.id}__/rotationplansegments', ${segment.id})" /></td>
				<td>
					<a data-th-href="@{/training/trainingpositions/{id}/edit(id=${segment.trainingPosition.id})}">
						<th:text data-th-text="${segment.trainingPosition.authorisation.authorisedDoctor.fullName}" />:
						<th:block data-th-if="${segment.trainingPosition.authorisation.trainingSite.trainingSiteType.parentType}">
							<th:text data-th-text="${segment.trainingPosition.authorisation.trainingSite.name}" />
						</th:block>
						<th:block data-th-unless="${segment.trainingPosition.authorisation.trainingSite.trainingSiteType.parentType}">
							<th:text data-th-text="${segment.trainingPosition.authorisation.trainingSite.clinic.name}"/>&nbsp;(<th:text data-th-text="${segment.trainingPosition.authorisation.trainingSite.name}"/>)
						</th:block>
					</a>
				</td>
				<td data-th-text="${segment.trainingPosition.authorisation.trainingSite.medicalField.name}"></td>
				<td data-th-text="${segment.segmentBegin}"></td>
				<td data-th-text="${segment.segmentEnd}"></td>
				<td data-th-text="${segment.duration}"></td>
				<td data-th-text="${segment.fullTimeEquivalent}"></td>
				<td data-th-text="${segment.normalisedDuration}"></td>
				<td data-th-text="${segment.assignedSegment?.medicalField?.name}"></td>
				<td data-th-text="#{rotationplansegments.fundabletype.__${segment.fundableType}__}"></td>
				<td data-th-text="#{'rotationplansegments.approved.' + ${segment.approved}}"></td>
				<td data-th-text="#{'rotationplansegments.funded.' + ${segment.funded}}"></td>
			</tr>
		</tbody>
	</table>

	<table class="datatable">
		<caption>Aktuelle und geplante Weiterbildungsstationen</caption>
		<thead>
			<tr>
				<th></th>
				<th data-th-text="#{rotationplansegments.trainingposition}">Weiterbildungsstelle</th>
				<th data-th-text="#{rotationplansegments.medicalfield}">Medizinisches Fachgebiet</th>
				<th data-th-text="#{rotationplansegments.segmentbegin}">Beginn</th>
				<th data-th-text="#{rotationplansegments.segmentend}">Ende</th>
				<th data-th-text="#{rotationplansegments.duration}">Dauer (Monate)</th>
				<th data-th-text="#{rotationplansegments.fulltimeequivalent}">VZÄ</th>
				<th data-th-text="#{rotationplansegments.durationnormalised}">Dauer (normiert)</th>
				<th data-th-text="#{rotationplansegments.assignedsegment}">Zugewiesener Abschnitt</th>
				<th data-th-text="#{rotationplansegments.fundable}">Förderfähig</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="segment: ${plannedSegments}">
				<td><p data-th-replace="fragments/snippets::edit('/training/rotationplans/__${rotationPlan.id}__/rotationplansegments', ${segment.id})" /></td>
				<td>
					<a data-th-href="@{/training/trainingpositions/{id}/edit(id=${segment.trainingPosition.id})}">
						<th:text data-th-text="${segment.trainingPosition.authorisation.authorisedDoctor.fullName}" />:
						<th:block data-th-if="${segment.trainingPosition.authorisation.trainingSite.trainingSiteType.parentType}">
							<th:text data-th-text="${segment.trainingPosition.authorisation.trainingSite.name}" />
						</th:block>
						<th:block data-th-unless="${segment.trainingPosition.authorisation.trainingSite.trainingSiteType.parentType}">
							<th:text data-th-text="${segment.trainingPosition.authorisation.trainingSite.clinic.name}"/>&nbsp;(<th:text data-th-text="${segment.trainingPosition.authorisation.trainingSite.name}"/>)
						</th:block>
					</a>
				</td>
				<td data-th-text="${segment.trainingPosition.authorisation.trainingSite.medicalField.name}"></td>
				<td data-th-text="${segment.segmentBegin}"></td>
				<td data-th-text="${segment.segmentEnd}"></td>
				<td data-th-text="${segment.duration}"></td>
				<td data-th-text="${segment.fullTimeEquivalent}"></td>
				<td data-th-text="${segment.normalisedDuration}"></td>
				<td data-th-text="${segment.assignedSegment?.medicalField?.name}"></td>
				<td data-th-text="#{rotationplansegments.fundabletype.__${segment.fundableType}__}" />
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="10"><a data-th-href="@{/training/rotationplans/{id}/rotationplansegments/add(id=${rotationPlan.id})}">Weiterbildungsstation hinzufügen</a></td>
		</tfoot>
	</table>
	</main>
</body>
</html>